Bug 7562 - Missing images for Samba3-ByExample and Samba3-HOWTO
Missing images for Samba3-ByExample and Samba3-HOWTO
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Docs
unspecified
All All
: P3 trivial
: ---
Assigned To: Jelmer Vernooij
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 16:50 UTC by Timur Bakeyev
Modified: 2012-11-02 10:24 UTC (History)
4 users (show)

See Also:


Attachments
"Patch" to fix this bug (2.55 MB, patch)
2012-05-20 16:47 UTC, Christian Perrier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Bakeyev 2010-07-08 16:50:33 UTC
For at least Samba 3.5.[2-4] releases docs/htmldocs/ Samba3-HOWTO and Samba3-ByExample are missing supplimentary images/ subdirectories with pictures.
Comment 1 Christian Perrier 2012-05-15 19:27:10 UTC
Note that these images are in the docs-xml/Samba3-{ByExample|HOWTO}/images directories. It's probably a matter of just copying the files in docs/htmldocs/Samba3-{ByExample|HOWTO}/images
Comment 2 Christian Perrier 2012-05-15 19:30:22 UTC
Also reported in Debian: http://bugs.debian.org/672971
Comment 3 Christian Perrier 2012-05-20 16:47:02 UTC
Created attachment 7571 [details]
"Patch" to fix this bug

Untarring this tarball in docs/htmldocs should make the trick
Comment 4 Karolin Seeger 2012-06-22 19:17:36 UTC
Jelmer, the images directories are missing in "/docs-xml/output/htmldocs/Samba3-HOWTO" and "/docs-xml/output/htmldocs/Samba3-ByExample" directories after e.g. 'make release'. I am not sure whether it's a Makefile issue or manual copying is needed intentionally. Can you (or anyone else) comment, please?

Thanks!
Comment 5 Karolin Seeger 2012-07-14 18:33:39 UTC
Jelmer, please comment on this one.
It would make releases faster for me.

Thanks!
Comment 6 Jelmer Vernooij 2012-07-16 12:27:18 UTC
I've pushed a fix to autobuild.
Comment 7 Karolin Seeger 2012-07-16 18:40:23 UTC
(In reply to comment #6)
> I've pushed a fix to autobuild.

Thanks a lot for investigating! :-)
Now I get the following:

make: *** Keine Regel vorhanden, um das Target »Samba3-ByExample/images/Charity-Network.pdf«, 
  benötigt von »Samba3-ByExample-images-latex-pdf«, zu erstellen.  Schluss.

Seems to be related.
Comment 8 Jelmer Vernooij 2012-07-16 19:35:11 UTC
You might have to clean the existing files in the docs-xml directory (git clean -f -x -d) so the updated versions are generated by make.
Comment 9 Karolin Seeger 2012-07-18 19:25:04 UTC
(In reply to comment #8)
> You might have to clean the existing files in the docs-xml directory (git clean
> -f -x -d) so the updated versions are generated by make.

I thought I have done that, but you are right. The message has been gone, but I am still searching for any "images" directories in v3-6-test/docs-xml/output. What am I missing?
Comment 10 Karolin Seeger 2012-07-18 19:35:29 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > You might have to clean the existing files in the docs-xml directory (git clean
> > -f -x -d) so the updated versions are generated by make.
> 
> I thought I have done that, but you are right. The message has been gone, but I
> am still searching for any "images" directories in v3-6-test/docs-xml/output.
> What am I missing?

Please ignore this comment. The directories exist (forgot to re-pick the fix before the first run). Closing out bug report.

Thanks, Jelmer!
Comment 11 Karolin Seeger 2012-07-18 19:52:05 UTC
Hmm, 'make release' still fails with

test -d output || mkdir output
make: *** Keine Regel vorhanden, um das Target »Samba3-ByExample/images/Charity-Network.pdf«, 
  benötigt von »Samba3-ByExample-images-latex-pdf«, zu erstellen.  Schluss.

after a 'git clean -x -f -d' (make html worked).
Comment 12 Karolin Seeger 2012-08-31 07:22:20 UTC
(In reply to comment #6)
> I've pushed a fix to autobuild.

This patch breaks the docs build.
Jelmer, can you please have a look again? Thanks a lot!

----
current master (d2c0387d):

make pdf

'Samba4-HOWTO.pdf' successfully built
make: *** Keine Regel vorhanden, um das Target »Samba3-HOWTO/images/domain.pdf«, 
  benötigt von »Samba3-HOWTO-images-latex-pdf«, zu erstellen.  Schluss.
----
Comment 13 Karolin Seeger 2012-11-02 10:24:44 UTC
I am manually copying the images directory for 3.6 and 3.5 releases.
As the 4.0 releases are (currently) shipped with manpages only, this bug report can be closed, I think.